Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.servlets
Class FlashGenerator

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--com.macromedia.generator.servlets.FlashGenerator

All Implemented Interfaces:
  FlashCommandLog, java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Direct Known Subclasses:
  GifGenerator, JpegGenerator, PngGenerator, QTMGenerator, XGifGenerator

public class FlashGenerator
extends javax.servlet.http.HttpServlet
implements FlashCommandLog

See Also:
  Serialized Form

Field Summary
`protected int` | `admin_averageThreads`
`protected int` | `admin_currentRequests`
`protected int` | `admin_getReleases`
`protected int` | `admin_getRequests`
`protected int` | `admin_maxThreads`
`protected long` | `admin_nSWFAveReqTime`
`protected long` | `admin_nSWFAveSize`
`protected long` | `admin_nSWFMaxReqTime`
`protected long` | `admin_nSWFMaxSize`
`protected long` | `admin_nSWFMinReqTime`
`protected long` | `admin_nSWFMinSize`
`protected long` | `admin_nSWFRequests`
`protected static java.lang.String` | `cacheDirective`
`protected static long` | `cacheExpires`
`protected static long` | `cacheLastModified`
`protected static CacheManager` | `cacheMgr`
`protected static int` | `cacheMSoftSSLFix`
`protected static java.lang.String` | `cachePragma`
`protected CacheProperties` | `cacheProps`
`protected static int` | `currentJobCount`
`(package private) java.lang.String` | `E5`
`protected static boolean` | `forceFinalizers`
`protected static boolean` | `forceGarbageCollection`
`protected static long` | `garbageCollectAfterJobCount`
`protected static boolean` | `gifAltHeader`
`protected static long` | `gifCacheExpires`
`protected static long` | `gifCacheLastModified`
`protected static int` | `gifCnt`
`protected static long` | `gifMaxSize`
`protected static long` | `gifMaxTime`
`protected static long` | `gifTotSize`
`protected static long` | `gifTotTime`
`protected static boolean` | `initialized`
`protected java.lang.String` | `installPath`
`protected static long` | `jobCountSinceLastGC`
`protected static int` | `jpegCnt`
`protected static long` | `jpegMaxSize`
`protected static long` | `jpegMaxTime`
`protected static long` | `jpegTotSize`
`protected static long` | `jpegTotTime`
`protected static int` | `loggingLevel`
`protected boolean` | `m_adminLogging`
`protected static int` | `maxSimultaneousRequests`
`protected static int` | `maxThreads`
`protected static int` | `pngCnt`
`protected static long` | `pngMaxSize`
`protected static long` | `pngMaxTime`
`protected static long` | `pngTotSize`
`protected static long` | `pngTotTime`
`protected static boolean` | `publishSerialNum`
`protected static int` | `qtmCnt`
`protected static long` | `qtmMaxSize`
`protected static long` | `qtmMaxTime`
`protected static long` | `qtmTotSize`
`protected static long` | `qtmTotTime`
`protected static boolean` | `requestLock`
`protected java.util.ResourceBundle` | `resources`
`protected static int` | `semaCount`
`protected static Serial` | `serial`
`protected static java.lang.String` | `startupTime`
`static java.lang.String` | `STATS_FILE_NAME`
`protected static long` | `statStartTime`
`protected static int` | `swfCnt`
`protected static long` | `swfMaxSize`
`protected static long` | `swfMaxTime`
`protected static long` | `swfTotSize`
`protected static long` | `swfTotTime`
`protected static int` | `ticketQueueSize`
`protected static int` | `timeout`
`protected static long` | `totalJobCount`
`static int` | `TYPE_ADMIN`
`static int` | `TYPE_GIF`
`static int` | `TYPE_JPG`
`static int` | `TYPE_PNG`
`static int` | `TYPE_QTM`
`static int` | `TYPE_SWF`
`static int` | `TYPE_UNKNOWN`
`static int` | `TYPE_XGIF`
`protected int` | `waitCount`
`protected static int` | `xgifCnt`
`protected static long` | `xgifMaxSize`
`protected static long` | `xgifMaxTime`
`protected static long` | `xgifTotSize`
`protected static long` | `xgifTotTime`

Constructor Summary
`FlashGenerator()`

Method Summary
`protected void` | `appendMessagesToLogFile(java.lang.String s, java.lang.String s1)`
`protected void` | `appendMessageToLogFile(java.lang.String s)`
`void` | `cleanUpMemory()`
`void` | `destroy()`
`void` | `disableRequests(boolean flag)`
`void` | `doGet(javax.servlet.http.HttpServletRequest httpservletrequest, javax.servlet.http.HttpServletResponse httpservletresponse)`
`void` | `doGetForFlash(javax.servlet.http.HttpServletRequest httpservletrequest, javax.servlet.http.HttpServletResponse httpservletresponse)`
`void` | `doGetForGif(javax.servlet.http.HttpServletRequest httpservletrequest, javax.servlet.http.HttpServletResponse httpservletresponse, boolean flag)`
`void` | `doGetForJpeg(javax.servlet.http.HttpServletRequest httpservletrequest, javax.servlet.http.HttpServletResponse httpservletresponse)`
`void` | `doGetForPng(javax.servlet.http.HttpServletRequest httpservletrequest, javax.servlet.http.HttpServletResponse httpservletresponse)`
`void` | `doGetForQTM(javax.servlet.http.HttpServletRequest httpservletrequest, javax.servlet.http.HttpServletResponse httpservletresponse)`
`void` | `flushCaches()`
`CacheProperties` | `getCacheProperties(boolean flag)`
`protected java.lang.String` | `getCacheProperty(java.lang.String s)`
`int` | `getCurrentJobCount()`
`java.lang.String` | `getExternalFontPath()`
`long` | `getGifAvgSize()`
`long` | `getGifAvgTime()`
`int` | `getGifCnt()`
`long` | `getGifMaxSize()`
`long` | `getGifMaxTime()`
`java.lang.String` | `getInstallPath()`
`long` | `getJpegAvgSize()`
`long` | `getJpegAvgTime()`
`int` | `getJpegCnt()`
`long` | `getJpegMaxSize()`
`long` | `getJpegMaxTime()`
`int` | `getLoggingLevel()`
`java.lang.String` | `getLoggingPath()`
`int` | `getMaxThreads()`
`long` | `getPngAvgSize()`
`long` | `getPngAvgTime()`
`int` | `getPngCnt()`
`long` | `getPngMaxSize()`
`long` | `getPngMaxTime()`
`java.lang.String` | `getPropertiesPath()`
`long` | `getQtmAvgSize()`
`long` | `getQtmAvgTime()`
`int` | `getQtmCnt()`
`long` | `getQtmMaxSize()`
`long` | `getQtmMaxTime()`
`protected java.io.File` | `getRequestFile(javax.servlet.http.HttpServletRequest httpservletrequest)`
`protected java.util.Vector` | `getRequestParameters(javax.servlet.http.HttpServletRequest httpservletrequest)`
`protected int` | `getRequestType(javax.servlet.http.HttpServletRequest httpservletrequest)`
`java.lang.String` | `getResString(java.lang.String s)`
`java.lang.String` | `getSerializePath()`
`java.lang.String` | `getServerNumber()`
`java.lang.String` | `getServletInfo()`
`java.lang.String` | `getStartupTime()`
`java.lang.String` | `getStatsPath()`
`long` | `getSwfAvgSize()`
`long` | `getSwfAvgTime()`
`int` | `getSwfCnt()`
`long` | `getSwfMaxSize()`
`long` | `getSwfMaxTime()`
`java.lang.String` | `getSystemProperty(java.lang.String s)`
`long` | `getThreadCount()`
`int` | `getTimeout()`
`long` | `getXGifAvgSize()`
`long` | `getXGifAvgTime()`
`int` | `getXGifCnt()`
`long` | `getXGifMaxSize()`
`long` | `getXGifMaxTime()`
`void` | `init(javax.servlet.ServletConfig servletconfig)`
`protected void` | `initCaches()`
`protected void` | `initProperties()`
`protected void` | `initResources()`
`protected void` | `initSerialization()`
`static boolean` | `isLimited()`
`void` | `logHitCounts()`
`int` | `logLevel()`
`void` | `logMessage(java.lang.String s)`
`void` | `logMessage(java.lang.String s, java.lang.String s1, java.lang.String s2)`
`void` | `logStats()`
`protected boolean` | `processAdminRequest(javax.servlet.http.HttpServletRequest httpservletrequest, javax.servlet.http.HttpServletResponse httpservletresponse)`
`void` | `release()`
`void` | `setCacheProperties(CacheProperties cacheproperties)`
`protected boolean` | `setCacheProperty(java.lang.String s, java.lang.String s1)`
`void` | `setExternalFontPath(java.lang.String s)`
`void` | `setInstallPath(java.lang.String s)`
`void` | `setLoggingLevel(int i)`
`void` | `setMaxThreads(int i)`
`void` | `setSystemProperty(java.lang.String s, java.lang.String s1)`
`void` | `setTimeout(int i)`
`boolean` | `take()`
`boolean` | `take(int i)`
`boolean` | `takeFIFO(int i)`
`void` | `updateCacheProperties()`

Methods inherited from class javax.servlet.http.HttpServlet
`, doDelete, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### waitCount

    protected int waitCount

### semaCount

    protected static int semaCount

### m_adminLogging

    protected boolean m_adminLogging

### admin_maxThreads

    protected int admin_maxThreads

### admin_averageThreads

    protected int admin_averageThreads

### admin_currentRequests

    protected int admin_currentRequests

### admin_getRequests

    protected int admin_getRequests

### admin_getReleases

    protected int admin_getReleases

### admin_nSWFRequests

    protected long admin_nSWFRequests

### admin_nSWFAveSize

    protected long admin_nSWFAveSize

### admin_nSWFMinSize

    protected long admin_nSWFMinSize

### admin_nSWFMaxSize

    protected long admin_nSWFMaxSize

### admin_nSWFMinReqTime

    protected long admin_nSWFMinReqTime

### admin_nSWFAveReqTime

    protected long admin_nSWFAveReqTime

### admin_nSWFMaxReqTime

    protected long admin_nSWFMaxReqTime

### resources

    protected java.util.ResourceBundle resources

### installPath

    protected java.lang.String installPath

### cacheDirective

    protected static java.lang.String cacheDirective

### cachePragma

    protected static java.lang.String cachePragma

### cacheExpires

    protected static long cacheExpires

### cacheLastModified

    protected static long cacheLastModified

### cacheMSoftSSLFix

    protected static int cacheMSoftSSLFix

### gifAltHeader

    protected static boolean gifAltHeader

### gifCacheExpires

    protected static long gifCacheExpires

### gifCacheLastModified

    protected static long gifCacheLastModified

### E5

    java.lang.String E5

### TYPE_UNKNOWN

    public static final int TYPE_UNKNOWN

### TYPE_SWF

    public static final int TYPE_SWF

### TYPE_GIF

    public static final int TYPE_GIF

### TYPE_JPG

    public static final int TYPE_JPG

### TYPE_PNG

    public static final int TYPE_PNG

### TYPE_XGIF

    public static final int TYPE_XGIF

### TYPE_ADMIN

    public static final int TYPE_ADMIN

### TYPE_QTM

    public static final int TYPE_QTM

### cacheMgr

    protected static CacheManager cacheMgr

### cacheProps

    protected CacheProperties cacheProps

### maxThreads

    protected static int maxThreads

### timeout

    protected static int timeout

### loggingLevel

    protected static int loggingLevel

### ticketQueueSize

    protected static int ticketQueueSize

### jobCountSinceLastGC

    protected static long jobCountSinceLastGC

### garbageCollectAfterJobCount

    protected static long garbageCollectAfterJobCount

### forceFinalizers

    protected static boolean forceFinalizers

### forceGarbageCollection

    protected static boolean forceGarbageCollection

### initialized

    protected static boolean initialized

### publishSerialNum

    protected static boolean publishSerialNum

### serial

    protected static Serial serial

### swfCnt

    protected static int swfCnt

### swfTotSize

    protected static long swfTotSize

### swfTotTime

    protected static long swfTotTime

### swfMaxSize

    protected static long swfMaxSize

### swfMaxTime

    protected static long swfMaxTime

### gifCnt

    protected static int gifCnt

### gifTotSize

    protected static long gifTotSize

### gifTotTime

    protected static long gifTotTime

### gifMaxSize

    protected static long gifMaxSize

### gifMaxTime

    protected static long gifMaxTime

### xgifCnt

    protected static int xgifCnt

### xgifTotSize

    protected static long xgifTotSize

### xgifTotTime

    protected static long xgifTotTime

### xgifMaxSize

    protected static long xgifMaxSize

### xgifMaxTime

    protected static long xgifMaxTime

### jpegCnt

    protected static int jpegCnt

### jpegTotSize

    protected static long jpegTotSize

### jpegTotTime

    protected static long jpegTotTime

### jpegMaxSize

    protected static long jpegMaxSize

### jpegMaxTime

    protected static long jpegMaxTime

### pngCnt

    protected static int pngCnt

### pngTotSize

    protected static long pngTotSize

### pngTotTime

    protected static long pngTotTime

### pngMaxSize

    protected static long pngMaxSize

### pngMaxTime

    protected static long pngMaxTime

### qtmCnt

    protected static int qtmCnt

### qtmTotSize

    protected static long qtmTotSize

### qtmTotTime

    protected static long qtmTotTime

### qtmMaxSize

    protected static long qtmMaxSize

### qtmMaxTime

    protected static long qtmMaxTime

### totalJobCount

    protected static long totalJobCount

### maxSimultaneousRequests

    protected static int maxSimultaneousRequests

### startupTime

    protected static java.lang.String startupTime

### statStartTime

    protected static long statStartTime

### currentJobCount

    protected static int currentJobCount

### requestLock

    protected static boolean requestLock

### STATS_FILE_NAME

    public static final java.lang.String STATS_FILE_NAME

Constructor Detail

### FlashGenerator

    public FlashGenerator()

Method Detail

### appendMessageToLogFile

    protected void appendMessageToLogFile(java.lang.String s)

### appendMessagesToLogFile

    protected void appendMessagesToLogFile(java.lang.String s,
                                           java.lang.String s1)

### cleanUpMemory

    public void cleanUpMemory()

### destroy

    public void destroy()

  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### disableRequests

    public void disableRequests(boolean flag)

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest httpservletrequest,
                      javax.servlet.http.HttpServletResponse httpservletresponse)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`

### doGetForFlash

    public void doGetForFlash(javax.servlet.http.HttpServletRequest httpservletrequest,
                              javax.servlet.http.HttpServletResponse httpservletresponse)
                       throws java.lang.Exception,
                              java.lang.Error

### doGetForGif

    public void doGetForGif(javax.servlet.http.HttpServletRequest httpservletrequest,
                            javax.servlet.http.HttpServletResponse httpservletresponse,
                            boolean flag)
                     throws java.lang.Exception,
                            java.lang.Error

### doGetForJpeg

    public void doGetForJpeg(javax.servlet.http.HttpServletRequest httpservletrequest,
                             javax.servlet.http.HttpServletResponse httpservletresponse)
                      throws java.lang.Exception,
                             java.lang.Error

### doGetForPng

    public void doGetForPng(javax.servlet.http.HttpServletRequest httpservletrequest,
                            javax.servlet.http.HttpServletResponse httpservletresponse)
                     throws java.lang.Exception,
                            java.lang.Error

### doGetForQTM

    public void doGetForQTM(javax.servlet.http.HttpServletRequest httpservletrequest,
                            javax.servlet.http.HttpServletResponse httpservletresponse)
                     throws java.lang.Exception,
                            java.lang.Error

### flushCaches

    public void flushCaches()

### getCacheProperties

    public CacheProperties getCacheProperties(boolean flag)

### getCacheProperty

    protected java.lang.String getCacheProperty(java.lang.String s)

### getCurrentJobCount

    public int getCurrentJobCount()

### getExternalFontPath

    public java.lang.String getExternalFontPath()

### getGifAvgSize

    public long getGifAvgSize()

### getGifAvgTime

    public long getGifAvgTime()

### getGifCnt

    public int getGifCnt()

### getGifMaxSize

    public long getGifMaxSize()

### getGifMaxTime

    public long getGifMaxTime()

### getInstallPath

    public java.lang.String getInstallPath()

### getJpegAvgSize

    public long getJpegAvgSize()

### getJpegAvgTime

    public long getJpegAvgTime()

### getJpegCnt

    public int getJpegCnt()

### getJpegMaxSize

    public long getJpegMaxSize()

### getJpegMaxTime

    public long getJpegMaxTime()

### getLoggingLevel

    public int getLoggingLevel()

### getLoggingPath

    public java.lang.String getLoggingPath()

### getMaxThreads

    public int getMaxThreads()

### getPngAvgSize

    public long getPngAvgSize()

### getPngAvgTime

    public long getPngAvgTime()

### getPngCnt

    public int getPngCnt()

### getPngMaxSize

    public long getPngMaxSize()

### getPngMaxTime

    public long getPngMaxTime()

### getPropertiesPath

    public java.lang.String getPropertiesPath()

### getQtmAvgSize

    public long getQtmAvgSize()

### getQtmAvgTime

    public long getQtmAvgTime()

### getQtmCnt

    public int getQtmCnt()

### getQtmMaxSize

    public long getQtmMaxSize()

### getQtmMaxTime

    public long getQtmMaxTime()

### getRequestFile

    protected java.io.File getRequestFile(javax.servlet.http.HttpServletRequest httpservletrequest)

### getRequestParameters

    protected java.util.Vector getRequestParameters(javax.servlet.http.HttpServletRequest httpservletrequest)

### getRequestType

    protected int getRequestType(javax.servlet.http.HttpServletRequest httpservletrequest)

### getResString

    public java.lang.String getResString(java.lang.String s)

### getSerializePath

    public java.lang.String getSerializePath()

### getServerNumber

    public java.lang.String getServerNumber()

### getServletInfo

    public java.lang.String getServletInfo()

  Overrides:
    `getServletInfo` in class `javax.servlet.GenericServlet`

### getStartupTime

    public java.lang.String getStartupTime()

### getStatsPath

    public java.lang.String getStatsPath()

### getSwfAvgSize

    public long getSwfAvgSize()

### getSwfAvgTime

    public long getSwfAvgTime()

### getSwfCnt

    public int getSwfCnt()

### getSwfMaxSize

    public long getSwfMaxSize()

### getSwfMaxTime

    public long getSwfMaxTime()

### getSystemProperty

    public java.lang.String getSystemProperty(java.lang.String s)

### getThreadCount

    public long getThreadCount()

### getTimeout

    public int getTimeout()

### getXGifAvgSize

    public long getXGifAvgSize()

### getXGifAvgTime

    public long getXGifAvgTime()

### getXGifCnt

    public int getXGifCnt()

### getXGifMaxSize

    public long getXGifMaxSize()

### getXGifMaxTime

    public long getXGifMaxTime()

### init

    public void init(javax.servlet.ServletConfig servletconfig)
              throws javax.servlet.ServletException

  Overrides:
    `init` in class `javax.servlet.GenericServlet`

### initCaches

    protected void initCaches()

### initProperties

    protected void initProperties()

### initResources

    protected void initResources()

### initSerialization

    protected void initSerialization()

### isLimited

    public static boolean isLimited()

### logHitCounts

    public void logHitCounts()

### logLevel

    public int logLevel()

  Specified by:
    `logLevel` in interface `FlashCommandLog`

### logMessage

    public void logMessage(java.lang.String s)

  Specified by:
    `logMessage` in interface `FlashCommandLog`

### logMessage

    public void logMessage(java.lang.String s,
                           java.lang.String s1,
                           java.lang.String s2)

  Specified by:
    `logMessage` in interface `FlashCommandLog`

### logStats

    public void logStats()

### processAdminRequest

    protected boolean processAdminRequest(javax.servlet.http.HttpServletRequest httpservletrequest,
                                          javax.servlet.http.HttpServletResponse httpservletresponse)

### release

    public void release()

### setCacheProperties

    public void setCacheProperties(CacheProperties cacheproperties)

### setCacheProperty

    protected boolean setCacheProperty(java.lang.String s,
                                       java.lang.String s1)

### setExternalFontPath

    public void setExternalFontPath(java.lang.String s)

### setInstallPath

    public void setInstallPath(java.lang.String s)

### setLoggingLevel

    public void setLoggingLevel(int i)

### setMaxThreads

    public void setMaxThreads(int i)

### setSystemProperty

    public void setSystemProperty(java.lang.String s,
                                  java.lang.String s1)

### setTimeout

    public void setTimeout(int i)

### take

    public boolean take()

### take

    public boolean take(int i)

### takeFIFO

    public boolean takeFIFO(int i)

### updateCacheProperties

    public void updateCacheProperties()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD